List Email templates

Retrieves all Email templates configured for the Tenant.

GET
/v2/manage/email-templates

Retrieves all Email templates configured for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/email-templates"
{
  "Data": [
    {
      "TemplateType": "welcome",
      "TemplateName": "Welcome Email",
      "Template": "Welcome to our service! We are glad to have you.",
      "Subject": "Welcome to our service!",
      "IsActive": true,
      "TextTemplate": "Welcome to our service! We are glad to have you.",
      "FromName": "Support Team",
      "FromEmail": "test@gmail.com",
      "EmailConfigId": "123e4567-e89b-12d3-a456-426614174000",
      "VerificationTokenType": "Otp"
    }
  ]
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "ErrorCode": 7922,
  "Message": "Email template is not configured.",
  "Description": "You have not added any email templates for this site, Please add at least one email template."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}